### Method

# Gimp Procedure set_sensitivity_mask

#### Declaration [src]

    void
    gimp_procedure_set_sensitivity_mask (
      GimpProcedure* procedure,
      gint sensitivity_mask
    )

#### Description [src]

Sets the case when `procedure` is supposed to be sensitive or not. Note that it will be used by the core to determine whether to show a procedure as sensitive (hence forbid running it otherwise), yet it will not forbid thid-party plug-ins for instance to run manually your registered procedure. Therefore you should still handle non-supported cases appropriately by returning with `GIMP_PDB_EXECUTION_ERROR` and a suitable error message.

Similarly third-party plug-ins should verify they are allowed to call a procedure with `gimp_procedure_get_sensitivity_mask()` when running with dynamic contents.

Note that by default, a procedure works on an image with a single drawable selected. Hence not setting the mask, setting it with 0 or setting it with a mask of `GIMP_PROCEDURE_SENSITIVE_DRAWABLE` only are equivalent.

Available since: | 3.0

#### Parameters

`sensitivity_mask` | `gint`
| A binary mask of `GimpProcedureSensitivityMask`.